let slideIndex = 0;
const slides = document.querySelectorAll('.slide');

// Function to show the current slide
function showSlide(index) {
  slides.forEach((slide, i) => {
    slide.style.display = (i === index) ? 'block' : 'none';
  });
}

// Function to manually change the slide with buttons (previous/next)
function changeSlide(direction) {
  slideIndex += direction;
  if (slideIndex < 0) {
    slideIndex = slides.length - 1;
  } else if (slideIndex >= slides.length) {
    slideIndex = 0;
  }
  showSlide(slideIndex);
}

// Initial slide display
showSlide(slideIndex);

// Auto-slide function: Automatically changes slides every 3 seconds
function autoSlide() {
  slideIndex = (slideIndex + 1) % slides.length;
  showSlide(slideIndex);
}

// Set an interval to automatically switch slides every 3 seconds
setInterval(autoSlide, 3000); // 3000ms = 3 seconds

// Toggle for mobile navigation menu
function toggleNav() {
  const navList = document.querySelector('.nav ul');
  navList.classList.toggle('show');
}

// This code assumes that your HTML and styles are correctly set up
document.addEventListener('DOMContentLoaded', () => {
  showSlide(slideIndex);  // Ensures the first slide is shown on page load
});


function donateNow() {
  alert("Thank you for your interest in donating! For further steps, please contact us.");
}